<?php

declare(strict_types=1);

namespace External\PompoBundle\Exception;

use KupShop\KupShopBundle\Util\Logging\CustomDataExceptionInterface;

class PompoException extends \Exception implements CustomDataExceptionInterface
{
    private ?string $detailedMessage;
    private array $data = [];

    public function __construct(string $message = '', ?string $detailedMessage = null, array $data = [], $code = 0, ?\Throwable $previous = null)
    {
        $this->detailedMessage = $detailedMessage;
        $this->data = $data;

        parent::__construct($message, $code, $previous);
    }

    public function getDetailedMessage(): ?string
    {
        return $this->detailedMessage;
    }

    public function getData(): array
    {
        return $this->data;
    }
}
